#version 330



layout( std140 ) uniform vars
{
    float xOffset;
};


layout (location=0) in vec4 vsPosition;

out vec4 fsColor;

void main()
{
    gl_Position=vec4(vsPosition.x+xOffset,vsPosition.y,0.0,1.0);
}
